Name:          python-py
Version:       1.4.21
Release:       1mamba
Summary:       library with cross-python path, ini-parsing, io, code, log facilities
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://pylib.readthedocs.org/en/latest/
Source:        https://pypi.python.org/packages/source/p/py/py-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 python-py' to get the list of build requirements.
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%prep
%setup -q -n py-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
## note: this list is just an example; modify as required
# %{python_sitearch}/%{name}.py*
# %{python_sitearch}/%{name}.so
%doc LICENSE
## note: eventually add the remaining documents (if any)
# %doc README.txt

%changelog
* Wed Jul 16 2014 Automatic Build System <autodist@mambasoft.it> 1.4.21-1mamba
- automatic version update by autodist

* Wed May 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.20-1mamba
- package created by silvan using the webbuild interface
